Package weka.core.pmml.jaxbbindings

# Class ChildParent

java.lang.Object
weka.core.pmml.jaxbbindings.ChildParent

public class ChildParent extends Object

Java class for ChildParent element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="ChildParent">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element ref="{http://www.dmg.org/PMML-4_1}TableLocator"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}InlineTable"/>
               </choice>
             </sequence>
             <attribute name="childField" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="isRecursive" default="no">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="no"/>
                   <enumeration value="yes"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="parentField" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="parentLevelField" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChildParent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChildField()`
  Gets the value of the childField property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `InlineTable`
  `getInlineTable()`
  Gets the value of the inlineTable property.
  `String`
  `getIsRecursive()`
  Gets the value of the isRecursive property.
  `String`
  `getParentField()`
  Gets the value of the parentField property.
  `String`
  `getParentLevelField()`
  Gets the value of the parentLevelField property.
  `TableLocator`
  `getTableLocator()`
  Gets the value of the tableLocator property.
  `void`
  `setChildField(String value)`
  Sets the value of the childField property.
  `void`
  `setInlineTable(InlineTable value)`
  Sets the value of the inlineTable property.
  `void`
  `setIsRecursive(String value)`
  Sets the value of the isRecursive property.
  `void`
  `setParentField(String value)`
  Sets the value of the parentField property.
  `void`
  `setParentLevelField(String value)`
  Sets the value of the parentLevelField property.
  `void`
  `setTableLocator(TableLocator value)`
  Sets the value of the tableLocator property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChildParent

    public ChildParent()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getTableLocator

    public TableLocator getTableLocator()
    Gets the value of the tableLocator property.
    Returns:
      possible object is `TableLocator`

  - ### setTableLocator

    public void setTableLocator(TableLocator value)
    Sets the value of the tableLocator property.
    Parameters:
      `value` - allowed object is `TableLocator`

  - ### getInlineTable

    public InlineTable getInlineTable()
    Gets the value of the inlineTable property.
    Returns:
      possible object is `InlineTable`

  - ### setInlineTable

    public void setInlineTable(InlineTable value)
    Sets the value of the inlineTable property.
    Parameters:
      `value` - allowed object is `InlineTable`

  - ### getChildField

    public String getChildField()
    Gets the value of the childField property.
    Returns:
      possible object is `String`

  - ### setChildField

    public void setChildField(String value)
    Sets the value of the childField property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIsRecursive

    public String getIsRecursive()
    Gets the value of the isRecursive property.
    Returns:
      possible object is `String`

  - ### setIsRecursive

    public void setIsRecursive(String value)
    Sets the value of the isRecursive property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParentField

    public String getParentField()
    Gets the value of the parentField property.
    Returns:
      possible object is `String`

  - ### setParentField

    public void setParentField(String value)
    Sets the value of the parentField property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParentLevelField

    public String getParentLevelField()
    Gets the value of the parentLevelField property.
    Returns:
      possible object is `String`

  - ### setParentLevelField

    public void setParentLevelField(String value)
    Sets the value of the parentLevelField property.
    Parameters:
      `value` - allowed object is `String`